# encoding: utf-8
module Nokaya

  class ADN < Basic

    attr_reader :author

    def initialize args, options = {}
      super(args, options)
      url = if options[:post]
              "https://photos.app.net/#{args[0]}/1"
            else
              args[0]
            end
      @type = :adn
      parsed = parse(url)
      @urls = [get_basic(parsed)].compact
      @author = author_name(parsed)
      @filenames = name_files()
    end

    private

    def author_name page
      page.css('.p-nickname')[0].text unless page.nil?
    end

    def post_id args
      /\d+{2}/.match(args[0])
    end

    def name_files
      unless @urls.empty?
        @name ||= @workers.sanitize(@author)
        ["#{@type.to_s}-#{@name}-#{post_id(args)}.jpg"]
      else
        []
      end
    end

  end
end
