# encoding: utf-8
module Nokaya

  class Apple < Basic

    def initialize args, options
      super(args, options)
      if options['ios']
        @entity = "software"
      elsif options['itunes']
        if options['album']
          @entity = 'album'
        else
          @entity = "musicTrack"
        end
      else
        @entity = "macSoftware"
      end
    end

    def create_url terms
      URI.parse("http://itunes.apple.com/search?term=#{CGI.escape(terms.join(" "))}&entity=#{@entity}")
    end

    def music_url terms
      url = "http://itunes.apple.com/search?entity=#{@entity}"
      terms.each {|term| url << "&term=#{CGI.escape(term)}"}
      URI.parse(url)
    end

  end

end
