# encoding: utf-8
module Nokaya

  class Basic

    attr_reader :options, :args, :filenames, :type, :name, :path
    attr_accessor :urls

    def initialize args, options
      Logs.create_logger
      @options = options
      @workers = Workers.new(options)
      @args = args
      @filenames = []
      @urls = []
      @path = @workers.path
      @type = :basic
      @name = options['name'] if options['name']
      @platform = RbConfig::CONFIG['host_os']
    end

    def get_basic page
      page.xpath("//meta[@property='og:image']/@content").first.value unless page.nil?
    end

    def parse url
      begin
        Nokogiri::HTML(open url)
      rescue Errno::ENOENT => e
        Logs.rec.error e
        puts Status.no_url if options['verbose']
        return nil
      rescue OpenURI::HTTPError => e
        Logs.rec.error e
        puts Status.no_can_do if options['verbose']
        return nil
      rescue Exception => e
        Logs.rec.error e
        puts Status.error if options['verbose']
        return nil
      end
    end

    def save
      @workers.save(self)
    end

    def name_files
      @urls.map do |url|
        "#{@type.to_s}-#{@author}-#{File.basename(url)}"
      end
    end

  end
end
