# encoding: utf-8
module Nokaya

  class Deviantart < Basic

    def initialize args, options = {}
      super(args, options)
      @type = :deviantart
      parsed = parse(args[0])
      @urls = album(parsed).compact
      @author = author_name()
      @path = "#{@path}/deviantart-#{@author}-#{@workers.timed}"
      @filenames = name_files()
    end

    private

    def author_name
      @workers.sanitize(@args[0].split('.com/')[1].chomp('/'))
    end

    def album page
      return [] if page.nil?
      refs = page.css('a.thumb')
      refs.map {|li| li['data-super-img']}
    end

  end
end
