# encoding: utf-8
module Nokaya

  class Favd < Basic

    attr_reader :author

    def initialize args, options = {}
      super(args, options)
      url = if options[:post]
              "http://pic.favd.net/#{args[0]}"
            else
              args[0]
            end
      @type = :favd
      parsed = parse(url)
      @urls = get_favd(parsed).compact
      @author = author_name(parsed)
      @filenames = name_files()
    end

    private

    def author_name page
      username = page.css('.username')
      username.empty? ? [] : username[0].text
    end

    def get_favd page
      img = page.css('#largeImage')
      img.empty? ? [] : [img[0]['src']]
    end

    def name_files
      unless @urls.empty?
        @name ||= @workers.sanitize(@author)
        ["#{@type.to_s}-#{@name}-#{@workers.timed}.jpg"]
      else
        []
      end
    end

  end
end
