# encoding: utf-8
module Nokaya

  class FlickrAlbum < Basic

    attr_reader :author

    def initialize args, options = {}
      super(args, options)
      @type = :flickr
      parsed = parse(args[0])
      @author = author_name()
      @urls = album(parsed).compact
      @path = "#{@path}/flickr-#{@author}-#{title(parsed)}-#{@workers.timed}"
      @filenames = name_files()
    end

    private

    def title page
      @workers.sanitize(page.css('.set-title')[0].text) unless page.nil?
    end

    def album page
      return [] if page.nil?
      refs = page.css('.pc_img')
      refs.map {|l| l['data-defer-src']}
    end

    def author_name
      /photos\/\w+/.match(@args[0]).to_s.split('/')[1]
    end

  end
end
