# encoding: utf-8
module Nokaya

  class ImageshackUser < Basic

    def initialize args, options = {}
      super(args, options)
      @type = :imageshack
      parsed = parse(args[0])
      @urls = album(parsed).compact
      @author = author_name()
      @path = "#{@path}/imageshack-#{@author}-#{@workers.timed}"
      @filenames = name_files()
    end

    private

    def author_name
      @args[0].split('/').last.chomp('/')
    end

    def album page
      return [] if page.nil?
      refs = page.css('a.hero-wrapper')
      temp = refs.map {|li| "https://imageshack.com#{li['href']}"}
      puts Status.toresolve(temp.length) if options['verbose']
      temp.map do |p|
        puts Status.resolving(p) if options['verbose']
        ref = parse(p).css('figure.image img')
        "http:#{ref[0]['src']}"
      end
    end

  end
end
