# encoding: utf-8
module Nokaya

  class ImgurAlbum < Basic

    attr_reader :author

    def initialize args, options = {}
      super(args, options)
      @type = :imgur
      parsed = parse(args[0])
      @author = author_name(parsed)
      @urls = album(parsed)
      @path = "#{@path}/imgur-#{@author}-#{@workers.timed}"
      @filenames = name_files()
    end

    private

    def album page
      return [] if page.nil?
      refs = page.css('#imagelist .posts .post a')
      refs.map {|l| "http:#{l['href']}"}
    end

    def author_name page
      return [] if page.nil?
      res = page.css('.description')[0].children[1].children.text
      @workers.sanitize(res)
    end

  end
end
