# encoding: utf-8
module Nokaya

  class Instagram < Basic

    attr_reader :author

    def initialize args, options = {}
      super(args, options)
      @type = :instagram
      parsed = parse(args[0])
      @urls = [get_basic(parsed)].compact
      @author = author_name(parsed)
      @filenames = name_files()
    end

    private

    def author_name page
      return [] if page.nil?
      page.xpath("//meta[@property='instapp:owner_user_id']/@content")[0].value
    end

    def name_files
      unless @urls.empty?
        @name ||= @workers.sanitize(@author)
        ["#{@type.to_s}-#{@workers.sanitize(@author)}-#{@workers.timed}.jpg"]
      else
        []
      end
    end

  end
end
