# encoding: utf-8
module Nokaya

  class Movie < Basic

    require 'spotlite'

    attr_reader :title, :ref_url, :year

    def initialize args, options = {}
      super(args, options)
      @type = :movie
      begin
        resp = Spotlite::Movie.find(@args.join(' '))
      rescue SocketError
        Logs.rec.error 'No connexion'
        return nil
      end
      @options['alt'] ? res = resp[1] : res = resp[0]
      @title = res.title
      @ref_url = res.url
      @year = res.year
      @urls = [res.poster_url]
      @filenames = name_files()
    end

    private

    def name_files
      @name ||= @workers.sanitize(@title)
      ["#{@type.to_s}-#{@name}.jpg"]
    end

  end
end
