# encoding: utf-8
module Nokaya

  class Photonet < Basic

    def initialize args, options = {}
      super(args, options)
      @type = :photonet
      parsed = parse(args[0])
      @urls = album(parsed)
      @path = "#{@path}/photonet-#{@workers.timed}"
      @filenames = name_files()
    end

    private

    def album page
      return [] if page.nil?
      refs = page.css('.trp-top a')
      refs.map do |lin|
        "http://gallery.photo.net/photo/#{lin['href'].split("=").last}-lg.jpg"
      end
    end

    def name_files
      @urls.map do |url|
        "#{@type.to_s}-#{File.basename(url).gsub('-lg', '')}"
      end
    end

  end
end
